Recent

Author Topic: bufdataset_parser error  (Read 147 times)

SymbolicFrank

  • Hero Member
  • *****
  • Posts: 1050
bufdataset_parser error
« on: July 01, 2022, 10:24:00 am »
Strange things happened with Lazarus, so I reinstalled trunk through fpcupdeluxe (multiple times). But I don't know how to fix this error:

"bufdataset.pas(24,26) Fatal: Cannot find bufdataset_parser used by BufDataset. Make sure all ppu files of a package are in its output directory. ppu in wrong directory=C:\apps\fpcupdeluxe\fpc\units\x86_64-win64\fcl-db\bufdataset_parser.ppu.."

It's from bufdataset.pas, which is in the same dir as bufdataset_parser.pp.

SymbolicFrank

  • Hero Member
  • *****
  • Posts: 1050
Re: bufdataset_parser error
« Reply #1 on: July 01, 2022, 01:24:45 pm »
I tried overwriting the .ppu with the new one, but that doesn't work. If I add the location of bufdataset_parser.pp to the "Other unit files", compiling it gives this error:

'bufdataset_parser.pp(422,111) Error: Wrong number of parameters specified for call to "DefineStringVariable"'

As far as I know, I only added the SQLite3 package, so I did that as well. (Rebuilding the IDE before putting the sqlite3.dll in the lazarus folder prevents it from running.)

I do have a directory included with all the dbf_*.pas files, because the fixes I made. (The last one I reported 7 months ago on the bugtracker is still open.)

This is on Windows 10.

 

TinyPortal © 2005-2018